<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/dp_16"
        android:src="@mipmap/ic_close_dialog2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_18"
        app:layout_constraintTop_toBottomOf="@id/iv_close">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@mipmap/ic_seat_auth_bg"
            app:layout_constraintDimensionRatio="h,1125:870"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@color/white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_bg" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_44"
            android:text="购买席位"
            android:textColor="@color/color_222222"
            android:textSize="@dimen/sp_18"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_4"
            android:text="请按需购买~"
            android:textColor="@color/color_222222"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="@id/tv_title"
            app:layout_constraintTop_toBottomOf="@id/tv_title" />

        <com.lihang.ShadowLayout
            android:id="@+id/layout_goods"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_9"
            android:layout_marginTop="@dimen/dp_11"
            android:layout_marginEnd="@dimen/dp_9"
            app:hl_cornerRadius="@dimen/dp_7"
            app:hl_shadowColor="@color/color_shadow"
            app:hl_shadowLimit="@dimen/dp_7"
            app:layout_constraintTop_toBottomOf="@id/tv_desc">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="@dimen/dp_12"
                android:paddingTop="@dimen/dp_16"
                android:paddingEnd="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_16">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_icon"
                    android:layout_width="@dimen/dp_60"
                    android:layout_height="@dimen/dp_60"
                    android:src="@mipmap/ic_seat_dialog_icon"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_12"
                    android:fontFamily="sans-serif-medium"
                    android:text="增加席位"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    app:layout_constraintBottom_toTopOf="@id/tv_origin_price"
                    app:layout_constraintStart_toEndOf="@id/iv_icon"
                    app:layout_constraintTop_toTopOf="@id/iv_icon" />

                <TextView
                    android:id="@+id/tv_origin_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_6"
                    android:text="480元/个"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintBottom_toBottomOf="@id/iv_icon"
                    app:layout_constraintStart_toStartOf="@id/tv_name"
                    app:layout_constraintTop_toBottomOf="@id/tv_name" />

                <TextView
                    android:id="@+id/tv_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="￥100.00"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_20"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/iv_icon" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_eeeeee_cor4"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="@id/iv_icon"
                    app:layout_constraintEnd_toEndOf="parent">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/iv_subtract"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_4"
                        android:src="@mipmap/ic_subtract_count_disable" />

                    <View
                        android:layout_width="@dimen/dp_1"
                        android:layout_height="match_parent"
                        android:background="@color/color_eeeeee" />

                    <TextView
                        android:id="@+id/tv_count"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:minWidth="@dimen/dp_36"
                        android:text="1"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_15"
                        android:textStyle="bold" />

                    <View
                        android:layout_width="@dimen/dp_1"
                        android:layout_height="match_parent"
                        android:background="@color/color_eeeeee" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/iv_add"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_4"
                        android:src="@mipmap/ic_add_count" />
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </com.lihang.ShadowLayout>

        <TextView
            android:id="@+id/tv_wx_pay"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_54"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_16"
            android:drawableStart="@mipmap/ic_wx_pay"
            android:drawableEnd="@mipmap/ic_pay_default3"
            android:drawablePadding="@dimen/dp_10"
            android:gravity="center_vertical"
            android:text="微信支付"
            android:textColor="@color/color_222222"
            android:textSize="@dimen/sp_15"
            app:layout_constraintTop_toBottomOf="@id/layout_goods" />

        <TextView
            android:id="@+id/tv_ali_pay"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_54"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_16"
            android:drawableStart="@mipmap/ic_ali_pay"
            android:drawableEnd="@mipmap/ic_pay_checked3"
            android:drawablePadding="@dimen/dp_10"
            android:gravity="center_vertical"
            android:text="支付宝支付"
            android:textColor="@color/color_222222"
            android:textSize="@dimen/sp_15"
            app:layout_constraintTop_toBottomOf="@id/tv_wx_pay" />

        <View
            android:id="@+id/view_line2"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_1"
            android:layout_marginTop="@dimen/dp_30"
            android:background="@color/color_eeeeee"
            app:layout_constraintTop_toBottomOf="@id/tv_ali_pay" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/color_eeeeee"
            app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp_16"
            android:paddingTop="@dimen/dp_9"
            android:paddingEnd="@dimen/dp_16"
            android:paddingBottom="@dimen/dp_9"
            app:layout_constraintTop_toBottomOf="@id/view_line2">

            <com.cheng.blzb.widget.CommonShapeView
                android:id="@+id/btn_pay"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_46"
                android:fontFamily="sans-serif-medium"
                android:text="立即支付"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_16"
                app:csb_cornerRadius="@dimen/dp_10"
                app:csb_fillColor="@color/color_125ffe"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>